public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/git-python/
Date: Wed, 11 Mar 2020 21:19:27 +0000 (UTC)	[thread overview]
Message-ID: <1583961473.a4d83cf98951710208ac6176586e0dc7884d035f.mgorny@gentoo> (raw)

commit:     a4d83cf98951710208ac6176586e0dc7884d035f
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 11 21:11:57 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Mar 11 21:17:53 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a4d83cf9

dev-python/git-python: Bump to 3.1.0, py3.8, tests

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/git-python/Manifest                |  4 ++
 dev-python/git-python/git-python-3.1.0.ebuild | 61 +++++++++++++++++++++++++++
 2 files changed, 65 insertions(+)

diff --git a/dev-python/git-python/Manifest b/dev-python/git-python/Manifest
index 81b89b13667..ea18deb602d 100644
--- a/dev-python/git-python/Manifest
+++ b/dev-python/git-python/Manifest
@@ -1 +1,5 @@
 DIST GitPython-2.1.11.tar.gz 428531 BLAKE2B 18b00f1e622c6588c14e1625f944d117348fb77e67161117510f42c8381db8cde8c6e16fa911edabfc4410239622fb845931b247bab4133585d2ec27969fea4c SHA512 5f964ee56c3f27c28f502150216af29b8463b19d9c0f773458dbabf17ba8587ee5c5e3fbcb31ad46c55e202d06bae447fd40007890a1bc116fe0370cdfc6401f
+DIST GitPython-3.1.0.gitbundle 8618276 BLAKE2B a1ecf49c47804b399453c6931fb54903309944b47a5a8ccd02d62f4b27943e60b4b58a9e67567008fa4d5bc791b1c86642659c045c885e2155e2c44bb1a4ea81 SHA512 a71463f861f840d3169a8351155665243d9f0f0a72e210940f9f7872cfd49b6ddfac827f0ec5bc61079d8066fc7ba210a03dd99f3bbd598e22ccbcacfe8e61b3
+DIST GitPython-3.1.0.tar.gz 430079 BLAKE2B eaf4d4bb2f589a96bcdcf28e7ac6c0b8eab691a1dee5fbbec6d4a93bab9f123b07073af8a1b85aa5547057e46e6c8c004215167790b559f3848bf20c3ec1697f SHA512 6dab8449cc1736d7f58f9788b56bf63cc2bf0f420104d6e010a9624d21f53f5b5d33135bad4d91b40d9543b454be839f8003828ffe512c35a6513c27a2dd4b53
+DIST gitdb-4.0.2.gitbundle 1474197 BLAKE2B 93dc8aeb3a43f0950bec1e8dc0c0156543a0a1ce1f20a7f0b2cd05c110338af05b6c6300c3f4b2c05e0f895496248e5fdca74eb599a4ea9aa983ed399d91f7c6 SHA512 8d4ebc93d6869a60b7717fc090000067e86a7e0373c281d0fb9939a6e2e283864256f827919eeb13be977254c0c71a4864d8e7c9b4b6dcc0af6275aa59681960
+DIST smmap-3.0.1.gitbundle 263781 BLAKE2B 6e06586010814ce0f59367c7f9289dad4891ee1debbc020b192af3945207da05b1e34907f1871f5b6b9638706b9e2fdacf390fcfff6bd06af84b9fd80f7e63a8 SHA512 c2b6c0b295c2997ed53727d3d1458ae7ec5ddbde9c83349286904726865fc026a70161955498b1a06371fb8d937e7386b80b4ea0c2e5d1c647718e6dbea93104

diff --git a/dev-python/git-python/git-python-3.1.0.ebuild b/dev-python/git-python/git-python-3.1.0.ebuild
new file mode 100644
index 00000000000..b1a47625471
--- /dev/null
+++ b/dev-python/git-python/git-python-3.1.0.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+MY_PN=GitPython
+MY_P=${MY_PN}-${PV}
+GITDB_P=gitdb-4.0.2
+SMMAP_P=smmap-3.0.1
+
+DESCRIPTION="Library used to interact with Git repositories"
+HOMEPAGE="https://github.com/gitpython-developers/GitPython https://pypi.org/project/GitPython/"
+SRC_URI="mirror://pypi/${MY_PN::1}/${MY_PN}/${MY_P}.tar.gz
+	test? (
+		https://dev.gentoo.org/~mgorny/dist/${MY_P}.gitbundle
+		https://dev.gentoo.org/~mgorny/dist/${GITDB_P}.gitbundle
+		https://dev.gentoo.org/~mgorny/dist/${SMMAP_P}.gitbundle
+	)"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
+# Tests only work when inside the GitPython repo
+#RESTRICT="test"
+
+RDEPEND="
+	dev-vcs/git
+	>=dev-python/gitdb-4.0.1[${PYTHON_USEDEP}]"
+BDEPEND="
+	test? (
+		>=dev-python/ddt-1.1.1[${PYTHON_USEDEP}]
+	)"
+
+distutils_enable_tests unittest
+
+src_test() {
+	git config --global user.email "you@example.com" || die
+	git config --global user.name "Your Name" || die
+
+	git clone "${DISTDIR}/${MY_P}.gitbundle" "${T}"/test || die
+	git clone "${DISTDIR}/${GITDB_P}.gitbundle" \
+		"${T}"/test/git/ext/gitdb || die
+	git clone "${DISTDIR}/${SMMAP_P}.gitbundle" \
+		"${T}"/test/git/ext/gitdb/gitdb/ext/smmap || die
+
+	cd "${T}"/test || die
+	# remove performance tests
+	rm -r git/test/performance || die
+	# tests requiring network access
+	sed -i -e 's:test_fetch_error:_&:' git/test/test_remote.py || die
+	# broken apparently
+	sed -i -e 's:test_rev_parse:_&:' git/test/test_repo.py || die
+
+	distutils-r1_src_test
+}


             reply	other threads:[~2020-03-11 21:19 UTC|newest]

Thread overview: 19+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-03-11 21:19 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2020-03-13  9:56 [gentoo-commits] repo/gentoo:master commit in: dev-python/git-python/ Michał Górny
2020-03-11 21:19 Michał Górny
2020-03-11 21:19 Michał Górny
2020-02-05 16:27 Michał Górny
2019-12-03  3:02 Aaron Bauman
2018-10-13 22:02 Patrice Clement
2018-02-16  1:42 Matt Thode
2018-02-13 19:00 Matt Thode
2018-01-04 20:35 Michał Górny
2017-11-17 18:47 David Seifert
2017-07-30  9:34 David Seifert
2017-07-30  9:34 David Seifert
2017-07-30  9:34 David Seifert
2017-06-19 18:12 Alexis Ballier
2017-02-13 10:12 Zac Medico
2016-07-18  9:56 Patrick Lauer
2016-07-02 12:36 David Seifert
2016-02-11  7:54 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1583961473.a4d83cf98951710208ac6176586e0dc7884d035f.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox